import OpenAI from 'openai';
export declare function createAssistantAgent({ name, instructions, model, tools, response_format, }: {
    name: string;
    tools: OpenAI.Beta.AssistantTool[];
    model: string;
    instructions: string;
    response_format?: OpenAI.Beta.Threads.AssistantResponseFormatOption;
}): Promise<void>;
export declare function updateAssistantAgent({ assistantId, name, instructions, model, tools, response_format, }: {
    assistantId: string;
    name: string;
    tools: OpenAI.Beta.AssistantTool[];
    model: string;
    instructions: string;
    response_format?: OpenAI.Beta.Threads.AssistantResponseFormatOption;
}): Promise<void>;
export declare function getAssistantAgent({ id, toolMap, }: {
    id: string;
    toolMap: Record<string, any>;
}): Promise<{
    agent: OpenAI.Beta.Assistants.Assistant & {
        _request_id?: string | null;
    };
    initializeThread: (messages?: OpenAI.Beta.ThreadCreateParams.Message[]) => Promise<OpenAI.Beta.Threads.Thread & {
        _request_id?: string | null;
    }>;
    listMessages: ({ threadId }: {
        threadId: string;
    }) => Promise<OpenAI.Beta.Threads.Messages.MessagesPage>;
    getRun: ({ threadId, runId, }: {
        threadId: string;
        runId: string;
    }) => Promise<OpenAI.Beta.Threads.Runs.Run & {
        _request_id?: string | null;
    }>;
    handleRunStatus: ({ threadId, run, }: {
        run: OpenAI.Beta.Threads.Runs.Run;
        threadId: string;
    }) => Promise<any>;
    handleRequiresAction: ({ threadId, run, }: {
        threadId: string;
        run: OpenAI.Beta.Threads.Runs.Run;
    }) => Promise<any>;
    createUserMessage: ({ threadId, content, }: {
        threadId: string;
        content: string;
    }) => Promise<OpenAI.Beta.Threads.Messages.Message & {
        _request_id?: string | null;
    }>;
    watchRun: ({ runId, threadId, }: {
        runId?: string;
        threadId: string;
    }) => Promise<any>;
}>;
//# sourceMappingURL=assistant.d.ts.map