import { Mastra } from '../framework';
import { z } from 'zod';
export declare function executeGenericVectorSync({ event, mastra }: any): Promise<void>;
export declare function executeVectorSync({ event, mastra }: any): Promise<void>;
export declare function vectorQueryEngine({ vector_provider, topK, indexName, content, entityType, }: {
    vector_provider: string;
    indexName: string;
    content: string;
    entityType: string;
    topK?: number;
}): Promise<import("@pinecone-database/pinecone").QueryResponse<import("@pinecone-database/pinecone").RecordMetadata> | undefined>;
export declare function getVectorQueryApis({ mastra }: {
    mastra: Mastra;
}): {
    integrationName: string;
    type: string;
    label: string;
    description: string;
    schema: z.ZodObject<{
        content: z.ZodString;
        topResult: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        content: string;
        topResult: number;
    }, {
        content: string;
        topResult: number;
    }>;
    executor: ({ data, }: {
        data: {
            content?: string;
            topResult?: number;
        };
    }) => Promise<any>;
}[];
export declare function agentVectorSyncEvent(): {
    id: string;
    event: string;
    executor: typeof executeVectorSync;
};
export declare function genericVectorySyncEvent(): {
    id: string;
    event: string;
    executor: typeof executeGenericVectorSync;
};
//# sourceMappingURL=vector-sync.d.ts.map